#ifndef _H_B3C66A1B06274F0C2551D8DF71A569E8_PrimaryFeedback__H_
#define _H_B3C66A1B06274F0C2551D8DF71A569E8_PrimaryFeedback__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "std_msgs/msg/dds_opensplice/Header_.h"


namespace marti_dbw_msgs
{
    namespace msg
    {
        namespace dds_
        {
            struct  PrimaryFeedback_
            {
                ::std_msgs::msg::dds_::Header_ header_;
                ::DDS::Boolean present_;
                ::DDS::Boolean robotic_mode_;
                ::DDS::Float steering_command_;
                ::DDS::Float steering_measure_;
                ::DDS::Float throttle_command_;
                ::DDS::Float throttle_measure_;
                ::DDS::Float brake_command_;
                ::DDS::Float brake_measure_;
                ::DDS::Boolean estop_command_;
                ::DDS::Boolean estop_measure_;
                ::DDS::Boolean error_steering_;
                ::DDS::Boolean error_throttle_;
                ::DDS::Boolean error_brake_;
                ::DDS::Boolean error_other_;
            };

            typedef DDS_DCPSStruct_var<PrimaryFeedback_> PrimaryFeedback__var;
            typedef DDS_DCPSStruct_out < PrimaryFeedback_> PrimaryFeedback__out;

        }

    }

}

#endif /* _H_B3C66A1B06274F0C2551D8DF71A569E8_PrimaryFeedback__H_ */
